Results 1 to 7 of 7

Thread: ATI Driver Issues

  1. #1
    Join Date
    Jun 2009
    Location
    Mt Vernon Ohio
    Posts
    227

    Default ATI Driver Issues

    Hello just upgraded my kernel to 2.6.32 rebooting into that kernel and saw that I was unable to log into X alright so ran the command Sax2 -r -m 0=radeonhd then startx. From there I went to yast and Updated the ATI driver and rebooted. I was able to log into X fine except the driver is now not only available in my 2.6.32 kernel but also in my 2.6.31 kernel also (it's showing it's only available in 2.6.31.5 kernel which I didn't even know I had) Now here's the issue, When I open Yast and opt to uninstall the driver all together I am presented with a list of automatic changes that don't seem to fit they are Kernel-debug (2.6.32.6-2.1) ati-fglrxG02-kmp-debug (8.661_2.6.31.5_0.1-23.1) and kernel-debug-base (2.6.31.8-0.1.1) Now I ask with this being said is it safe to uninstall the driver and install a new one? Thanks

  2. #2
    Join Date
    Oct 2008
    Location
    North Wales, UK
    Posts
    1,114

    Default Re: ATI Driver Issues

    When you first installed your system, you installed the ATI drivers. Each time you update the kernel, the driver modules are loaded for the new kernel
    The fact that the driver is enabled for all kernel versions is nothing to worry about. If you look at your boot options in grub, you will find that you can boot the older kernels - this is a roll-back, just in case the new kernel has broken something that was working previously.
    So don't worry about uninstalling the driver - it is the same for all kernels.

  3. #3
    Join Date
    Jun 2009
    Location
    Mt Vernon Ohio
    Posts
    227

    Default Re: ATI Driver Issues

    No the driver isn't enabled for all kernels only 2.6.31.5 and the driver wasn't loaded into the new kernel,in fact it's not only not loaded into the new one it's also not loaded into the old one now (2.6.31.8) I have no idea where 2.6.31.5 is it's not in my grub menu or anything, also I wanted to install the new driver as the one now installed is from the repos and it's outdated.

  4. #4
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,595
    Blog Entries
    38

    Default Re: ATI Driver Issues

    Quote Originally Posted by threatingbehaviour View Post
    Hello just upgraded my kernel to 2.6.32 rebooting into that kernel and saw that I was unable to log into X alright so ran the command Sax2 -r -m 0=radeonhd then startx. From there I went to yast and Updated the ATI driver and rebooted.
    Apologies, but I find the explanation a bit hard to understand.

    saying "the ATI driver" is VERY ambiguous. I tried to document a bit about ATI drivers here: openSUSE Graphic Card Practical Theory Guide for Users - openSUSE Forums

    Typically, one can get different ATI drivers, from different sources:
    • xorg-x11-driver-video rpm - fbdev, vesa, ati and radeon driver (plus some others)
    • xorg-x11-driver-video-radeonhd - radeonhd driver
    • proprietary ATI driver (fglrx) from the ATI openSUSE respository, or from the .run file from the ATI site
    Now I assume you are talking about the radeonhd driver, which means an update or de-install of the "xorg-x11-driver-video-radeonhd" rpm is giving you difficulty ? Its possible (I am speculating) that the "xorg-x11-driver-video-radeonhd" rpm has dependency checks for a 2.6.31 kernel.

    Why are you trying to de-install the rpm for this driver (assuming a guessed correctly given the ambiguity in your post) ? Typically it does not cause problems when one goes to install the proprietary driver.

    Did you consider custom compiling the proprietary fglrx driver?

    Note the 2.6.32 kernel is NOT a nominal kernel provided officially by SuSE-GmbH for openSUSE-11.2, so to a certain extent you are on your own here in terms of official support ... and you need to find a work around that works best for you with this 2.6.32 kernel (which I assume is what you are trying to do - and need support on).

  5. #5
    Join Date
    Oct 2008
    Location
    North Wales, UK
    Posts
    1,114

    Default Re: ATI Driver Issues

    It all becomes clearer now. You are installing a no-standard kernel version. This means that there will probably be dependency problems when installing from the repo.
    To install the ati driver from the ati site, you need to have the kernel source and headers installed.
    Read the ati changes pdf, it gives poiters on how to setup the driver.
    It's also best to install in run level 3 (just type 3 at the grub boot menu).

  6. #6
    Join Date
    Jun 2009
    Location
    Mt Vernon Ohio
    Posts
    227

    Default Re: ATI Driver Issues

    ah I was unaware that this .32 kernel was an "unofficial" Kernel I just installed it to fix my ath9k disconnection problem,also oldcpu I am using the proprietary driver from the Suse repos. I have been following this guide http://en.opensuse.org/ATI_drivers and I've ran aticonfig --initial then rebooted switched to init 3 then 5 as the guide directs you to do then went to run fglrx-build-kernel.sh because I was getting the error message telling me that the kernel modules are not in place, only to get "Command not found" and whych this same dependency problem exists in the 2.6.31 kernel.

  7. #7
    Join Date
    Oct 2008
    Location
    North Wales, UK
    Posts
    1,114

    Default Re: ATI Driver Issues

    Run the install in run level 3. Make sure you have the modules and headers for your kernel installed first though - that is why you are getting the modules not found error.
    Once installed, run the aticonfig --initial and reboot (all in run level 3).

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •